ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.110 by ayin, Thu Aug 2 00:29:23 2007 UTC vs.
Revision 1.113 by ayin, Tue Sep 18 12:17:58 2007 UTC

1323 --enable-combining enable composition of base and combining characters 1323 --enable-combining enable composition of base and combining characters
1324 --enable-xft enable xft support on systems that have it 1324 --enable-xft enable xft support on systems that have it
1325 --enable-font-styles enable bold and italic support 1325 --enable-font-styles enable bold and italic support
1326 --enable-afterimage enable integration with libAfterImage for background images 1326 --enable-afterimage enable integration with libAfterImage for background images
1327 --enable-transparency enable transparent backgrounds 1327 --enable-transparency enable transparent backgrounds
1328 --enable-tinting enable tinting of transparent bg
1329 --enable-fading enable colors fading when off focus 1328 --enable-fading enable colors fading when off focus
1330 --enable-rxvt-scroll enable rxvt style scrollbar 1329 --enable-rxvt-scroll enable rxvt style scrollbar
1331 --enable-next-scroll enable NeXT style scrollbar 1330 --enable-next-scroll enable NeXT style scrollbar
1332 --enable-xterm-scroll enable Xterm style scrollbar 1331 --enable-xterm-scroll enable Xterm style scrollbar
1333 --enable-perl enable embedded perl interpreter 1332 --enable-perl enable embedded perl interpreter
4393 4392
4394 4393
4395 4394
4396support_frills=yes 4395support_frills=yes
4397support_inheritpixmap=yes 4396support_inheritpixmap=yes
4398support_tinting=yes
4399support_fading=yes 4397support_fading=yes
4400support_keepscrolling=yes 4398support_keepscrolling=yes
4401support_selectionscrolling=yes 4399support_selectionscrolling=yes
4402support_mousewheel=yes 4400support_mousewheel=yes
4403support_mouseslipwheel=yes 4401support_mouseslipwheel=yes
4434if test "${enable_everything+set}" = set; then 4432if test "${enable_everything+set}" = set; then
4435 enableval=$enable_everything; 4433 enableval=$enable_everything;
4436 if test x$enableval = xno; then 4434 if test x$enableval = xno; then
4437 support_frills=no 4435 support_frills=no
4438 support_inheritpixmap=no 4436 support_inheritpixmap=no
4439 support_tinting=no
4440 support_fading=no 4437 support_fading=no
4441 support_keepscrolling=no 4438 support_keepscrolling=no
4442 support_selectionscrolling=no 4439 support_selectionscrolling=no
4443 support_lastlog=no 4440 support_lastlog=no
4444 support_mousewheel=no 4441 support_mousewheel=no
4464 codesets= 4461 codesets=
4465 fi 4462 fi
4466 if test x$enableval = xyes; then 4463 if test x$enableval = xyes; then
4467 support_frills=yes 4464 support_frills=yes
4468 support_inheritpixmap=yes 4465 support_inheritpixmap=yes
4469 support_tinting=yes
4470 support_fading=yes 4466 support_fading=yes
4471 support_keepscrolling=yes 4467 support_keepscrolling=yes
4472 support_selectionscrolling=yes 4468 support_selectionscrolling=yes
4473 support_lastlog=yes 4469 support_lastlog=yes
4474 support_mousewheel=yes 4470 support_mousewheel=yes
4553 support_inheritpixmap=$enableval 4549 support_inheritpixmap=$enableval
4554 fi 4550 fi
4555fi 4551fi
4556 4552
4557 4553
4558# Check whether --enable-tinting was given.
4559if test "${enable_tinting+set}" = set; then
4560 enableval=$enable_tinting; if test x$enableval = xyes -o x$enableval = xno; then
4561 support_tinting=$enableval
4562 fi
4563fi
4564
4565
4566# Check whether --enable-fading was given. 4554# Check whether --enable-fading was given.
4567if test "${enable_fading+set}" = set; then 4555if test "${enable_fading+set}" = set; then
4568 enableval=$enable_fading; if test x$enableval = xyes -o x$enableval = xno; then 4556 enableval=$enable_fading; if test x$enableval = xyes -o x$enableval = xno; then
4569 support_fading=$enableval 4557 support_fading=$enableval
4570 fi 4558 fi
4871 fi 4859 fi
4872done 4860done
4873done 4861done
4874IFS=$as_save_IFS 4862IFS=$as_save_IFS
4875 4863
4864 test -z "$ac_cv_path_TIC" && ac_cv_path_TIC=":"
4876 ;; 4865 ;;
4877esac 4866esac
4878fi 4867fi
4879TIC=$ac_cv_path_TIC 4868TIC=$ac_cv_path_TIC
4880if test -n "$TIC"; then 4869if test -n "$TIC"; then
11303 11292
11304ac_save_LIBS=$LIBS 11293ac_save_LIBS=$LIBS
11305ac_save_CFLAGS=$CFLAGS 11294ac_save_CFLAGS=$CFLAGS
11306CFLAGS="$CFLAGS $X_CFLAGS" 11295CFLAGS="$CFLAGS $X_CFLAGS"
11307LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11296LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
11297if test x$support_xim = xyes; then
11308{ echo "$as_me:$LINENO: checking for working Xlocale" >&5 11298 { echo "$as_me:$LINENO: checking for working Xlocale" >&5
11309echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; } 11299echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; }
11310if test "${rxvt_cv_func_xlocale+set}" = set; then 11300if test "${rxvt_cv_func_xlocale+set}" = set; then
11311 echo $ECHO_N "(cached) $ECHO_C" >&6 11301 echo $ECHO_N "(cached) $ECHO_C" >&6
11312else 11302else
11313 if test "$cross_compiling" = yes; then 11303 if test "$cross_compiling" = yes; then
11314 : 11304 :
11315else 11305else
11316 cat >conftest.$ac_ext <<_ACEOF 11306 cat >conftest.$ac_ext <<_ACEOF
11317/* confdefs.h. */ 11307/* confdefs.h. */
11318_ACEOF 11308_ACEOF
11319cat confdefs.h >>conftest.$ac_ext 11309cat confdefs.h >>conftest.$ac_ext
11320cat >>conftest.$ac_ext <<_ACEOF 11310cat >>conftest.$ac_ext <<_ACEOF
11321/* end confdefs.h. */ 11311/* end confdefs.h. */
11322#include <X11/Xlib.h> 11312#include <X11/Xlib.h>
11323#include <stdlib.h> 11313 #include <stdlib.h>
11324main() { 11314 main() {
11325char *p; 11315 char *p;
11326if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p) 11316 if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p)
11327exit (XSupportsLocale() ? 0 : 1); 11317 exit (XSupportsLocale() ? 0 : 1);
11328else 11318 else
11329exit (1);} 11319 exit (1);}
11330_ACEOF 11320_ACEOF
11331rm -f conftest$ac_exeext 11321rm -f conftest$ac_exeext
11332if { (ac_try="$ac_link" 11322if { (ac_try="$ac_link"
11333case "(($ac_try" in 11323case "(($ac_try" in
11334 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 11324 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11346eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 11336eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11347 (eval "$ac_try") 2>&5 11337 (eval "$ac_try") 2>&5
11348 ac_status=$? 11338 ac_status=$?
11349 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11339 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11350 (exit $ac_status); }; }; then 11340 (exit $ac_status); }; }; then
11351 rxvt_cv_func_xlocale=yes 11341 rxvt_cv_func_xlocale=yes
11352else 11342else
11353 echo "$as_me: program exited with status $ac_status" >&5 11343 echo "$as_me: program exited with status $ac_status" >&5
11354echo "$as_me: failed program was:" >&5 11344echo "$as_me: failed program was:" >&5
11355sed 's/^/| /' conftest.$ac_ext >&5 11345sed 's/^/| /' conftest.$ac_ext >&5
11356 11346
11362 11352
11363 11353
11364fi 11354fi
11365{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5 11355{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5
11366echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; } 11356echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; }
11367if test x$support_xim = xyes; then
11368 if test x$rxvt_cv_func_xlocale = xyes; then 11357 if test x$rxvt_cv_func_xlocale = xyes; then
11369 11358
11370cat >>confdefs.h <<\_ACEOF 11359cat >>confdefs.h <<\_ACEOF
11371#define USE_XIM 1 11360#define USE_XIM 1
11372_ACEOF 11361_ACEOF
11373 11362
11363 { echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11364echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
11365if test "${rxvt_broken_ximcb+set}" = set; then
11366 echo $ECHO_N "(cached) $ECHO_C" >&6
11367else
11368 cat >conftest.$ac_ext <<_ACEOF
11369
11370 #include <X11/Xlib.h>
11371
11372 void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
11373
11374 void f() {
11375 XIMCallback cb;
11376 cb.callback = im_destroy_cb;
11377 }
11378
11379_ACEOF
11380rm -f conftest.$ac_objext
11381if { (ac_try="$ac_compile"
11382case "(($ac_try" in
11383 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11384 *) ac_try_echo=$ac_try;;
11385esac
11386eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11387 (eval "$ac_compile") 2>conftest.er1
11388 ac_status=$?
11389 grep -v '^ *+' conftest.er1 >conftest.err
11390 rm -f conftest.er1
11391 cat conftest.err >&5
11392 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11393 (exit $ac_status); } && {
11394 test -z "$ac_cxx_werror_flag" ||
11395 test ! -s conftest.err
11396 } && test -s conftest.$ac_objext; then
11397 rxvt_broken_ximcb=yes
11398else
11399 echo "$as_me: failed program was:" >&5
11400sed 's/^/| /' conftest.$ac_ext >&5
11401
11402 rxvt_broken_ximcb=no
11403fi
11404
11405rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11406fi
11407{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
11408echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
11409
11410 if test x$rxvt_broken_ximcb = xyes; then
11411
11412cat >>confdefs.h <<\_ACEOF
11413#define XIMCB_PROTO_BROKEN 1
11414_ACEOF
11415
11416 fi
11374 fi 11417 fi
11375fi 11418fi
11376 11419
11377{ echo "$as_me:$LINENO: checking for working X setlocale" >&5 11420{ echo "$as_me:$LINENO: checking for working X setlocale" >&5
11378echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; } 11421echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; }
11645 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5 11688 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
11646echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;} 11689echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
11647 { (exit 1); exit 1; }; } 11690 { (exit 1); exit 1; }; }
11648fi 11691fi
11649 11692
11650
11651{ echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11652echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
11653if test "${rxvt_broken_ximcb+set}" = set; then
11654 echo $ECHO_N "(cached) $ECHO_C" >&6
11655else
11656 cat >conftest.$ac_ext <<_ACEOF
11657
11658#include <X11/Xlib.h>
11659
11660void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
11661
11662void f() {
11663 XIMCallback cb;
11664 cb.callback = im_destroy_cb;
11665}
11666
11667_ACEOF
11668rm -f conftest.$ac_objext
11669if { (ac_try="$ac_compile"
11670case "(($ac_try" in
11671 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11672 *) ac_try_echo=$ac_try;;
11673esac
11674eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11675 (eval "$ac_compile") 2>conftest.er1
11676 ac_status=$?
11677 grep -v '^ *+' conftest.er1 >conftest.err
11678 rm -f conftest.er1
11679 cat conftest.err >&5
11680 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11681 (exit $ac_status); } && {
11682 test -z "$ac_cxx_werror_flag" ||
11683 test ! -s conftest.err
11684 } && test -s conftest.$ac_objext; then
11685 rxvt_broken_ximcb=yes
11686else
11687 echo "$as_me: failed program was:" >&5
11688sed 's/^/| /' conftest.$ac_ext >&5
11689
11690 rxvt_broken_ximcb=no
11691fi
11692
11693rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11694fi
11695{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
11696echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
11697
11698if test x$rxvt_broken_ximcb = xyes; then
11699
11700cat >>confdefs.h <<\_ACEOF
11701#define XIMCB_PROTO_BROKEN 1
11702_ACEOF
11703
11704fi
11705 11693
11706 11694
11707 11695
11708 11696
11709 11697
12692cat >>confdefs.h <<\_ACEOF 12680cat >>confdefs.h <<\_ACEOF
12693#define OFF_FOCUS_FADING 1 12681#define OFF_FOCUS_FADING 1
12694_ACEOF 12682_ACEOF
12695 12683
12696fi 12684fi
12697if test x$support_tinting = xyes; then
12698
12699cat >>confdefs.h <<\_ACEOF
12700#define TINTING 1
12701_ACEOF
12702
12703fi
12704if test x$support_inheritpixmap = xyes; then 12685if test x$support_inheritpixmap = xyes; then
12705 12686
12706cat >>confdefs.h <<\_ACEOF 12687cat >>confdefs.h <<\_ACEOF
12707#define ENABLE_TRANSPARENCY 1 12688#define ENABLE_TRANSPARENCY 1
12708_ACEOF 12689_ACEOF
12720cat >>confdefs.h <<\_ACEOF 12701cat >>confdefs.h <<\_ACEOF
12721#define SELECTION_SCROLLING 1 12702#define SELECTION_SCROLLING 1
12722_ACEOF 12703_ACEOF
12723 12704
12724fi 12705fi
12706if test x$support_frills = xyes; then
12707
12708cat >>confdefs.h <<\_ACEOF
12709#define ENABLE_FRILLS 1
12710_ACEOF
12711
12712fi
12725if test x$support_mousewheel = xyes; then 12713if test x$support_mousewheel = xyes; then
12726 12714
12727cat >>confdefs.h <<\_ACEOF 12715cat >>confdefs.h <<\_ACEOF
12728#define MOUSE_WHEEL 1 12716#define MOUSE_WHEEL 1
12729_ACEOF 12717_ACEOF
12742#define HAVE_AFTERIMAGE 1 12730#define HAVE_AFTERIMAGE 1
12743_ACEOF 12731_ACEOF
12744 12732
12745 12733
12746cat >>confdefs.h <<\_ACEOF 12734cat >>confdefs.h <<\_ACEOF
12747#define XPM_BACKGROUND 1 12735#define BG_IMAGE_FROM_FILE 1
12748_ACEOF 12736_ACEOF
12749 12737
12750fi 12738fi
12751 12739
12752 12740
13024 13012
13025 13013
13026 13014
13027 13015
13028 13016
13029
13030if test x$support_perl = xyes; then
13031 support_frills=yes
13032fi
13033
13034if test x$support_frills = xyes; then
13035
13036cat >>confdefs.h <<\_ACEOF
13037#define ENABLE_FRILLS 1
13038_ACEOF
13039
13040fi
13041 13017
13042 13018
13043 13019
13044 13020
13045 13021

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines